package ar.edu.unju.fi.patterns.ejemplos.state.controlsecadora;

public class ControlSecadora {
	private EstadoOperacion estado;
	
	
	public ControlSecadora(EstadoOperacion estado) {
		super();
		this.estado = estado;
	}
	
	/**
	 * manejador del estado
	 * @param event
	 */
	public void procesarEvento (String event) {
		estado.operacion(event, this);
	}
	
	public EstadoOperacion getEstado() {
		return estado;
	}
	public void setEstado(EstadoOperacion estado) {
		this.estado = estado;
	}
		
}
