package ar.edu.unju.fi.patterns.estructura.decorator;

public class AireAcondicionado extends AutoDecorator {

	public AireAcondicionado(Vendible vendible) {
		super(vendible);
	}

	@Override
	public String getDescripcion() {
		return getVendible().getDescripcion() + " + Aire Acondicionado";
	}

	@Override
	public int getPrecio() {
		return getVendible().getPrecio() + 2000;
	}

}
