package ar.edu.unju.fi.patterns.estructura.decorator;

public class CDPlayer extends AutoDecorator {

	public CDPlayer(Vendible vendible) {
		super(vendible);
	}

	@Override
	public String getDescripcion() {
		return getVendible().getDescripcion() + " + CD Player";
	}

	@Override
	public int getPrecio() {
		return getVendible().getPrecio() + 1000;
	}

}
