package ar.edu.unju.fi.patterns.comportamiento.strategy;

public class Main {

	public static void main(String[] args) {
		Persona socio = new Socio();
		Persona profesor = new Profesor();
		Persona alumno = new Alumno();
		
		Libro libro = new LibroFinder().findLibro(socio, "Design Pattherns");
		System.out.println(libro.getEstado());
		libro = new LibroFinder().findLibro(profesor, "Design Pattherns");
		System.out.println(libro.getEstado());
		libro = new LibroFinder().findLibro(alumno, "Design Pattherns");
		System.out.println(libro.getEstado());

	}

}
