package ar.edu.unju.fi.patterns.creacion.abstractfactory.impl;

import ar.edu.unju.fi.patterns.creacion.abstractfactory.BluRay;
import ar.edu.unju.fi.patterns.creacion.abstractfactory.Prototipo;

public class BluRayCapaSimple extends BluRay {
    @Override
    public Prototipo clone() {
            return new BluRayCapaSimple();
    }
 
    @Override
    public String getCapacidad() {
            return "30GB";
    }
 
    @Override
    public String getNombre() {
            return "BluRay Capa Simple";
    }
 
    @Override
    public String getPrecio() {
            return "250.00$";
    }
}
