package ar.edu.unju.fi.patterns.creacion.abstractfactory.impl;

import ar.edu.unju.fi.patterns.creacion.abstractfactory.BluRay;
import ar.edu.unju.fi.patterns.creacion.abstractfactory.DVD;
import ar.edu.unju.fi.patterns.creacion.abstractfactory.FabricaDiscos;

public class FabricaDiscosCapaSimple implements FabricaDiscos {

	@Override
	public BluRay crearBluRay() {
		return new BluRayCapaSimple();
	}

	@Override
	public DVD crearDVD() {
		return new DVDCapaSimple();
	}

}
