package ar.edu.unju.fi.patterns.creacion.abstractfactory.test;

import ar.edu.unju.fi.patterns.creacion.abstractfactory.BluRay;
import ar.edu.unju.fi.patterns.creacion.abstractfactory.DVD;
import ar.edu.unju.fi.patterns.creacion.abstractfactory.FabricaDiscos;
import ar.edu.unju.fi.patterns.creacion.abstractfactory.impl.FabricaDiscosCapaDoble;
import ar.edu.unju.fi.patterns.creacion.abstractfactory.impl.FabricaDiscosCapaSimple;

public class TestAbstractFactory {

	public static void main(String[] args) {
		FabricaDiscos fabrica;
		DVD dvd;
		BluRay bluray;
		 
		fabrica = new FabricaDiscosCapaSimple();
		dvd = fabrica.crearDVD();
		bluray = fabrica.crearBluRay();
		 
		System.out.println(dvd);
		System.out.println(bluray);
		 
		fabrica = new FabricaDiscosCapaDoble();
		dvd = fabrica.crearDVD();
		bluray = fabrica.crearBluRay();
		 
		System.out.println(dvd);
		System.out.println(bluray);
		

	}

}
