package ar.edu.unju.fi.patterns.estructura.decorator;

public abstract class AutoDecorator implements Vendible {
	private Vendible vendible;
	

	public AutoDecorator(Vendible vendible) {
		super();
		this.vendible = vendible;
	}

	@Override
	public abstract String getDescripcion() ;

	@Override
	public abstract int getPrecio();
	

	public Vendible getVendible() {
		return vendible;
	}

	public void setVendible(Vendible vendible) {
		this.vendible = vendible;
	}

}
